Subject: Re: [media-types] [IANA #1229076] IANA: early allocation requests (was: Re: Rob pls. approve: Re: Rob/Warren: Early allocation request for draft-ietf-anima-constrained-voucher (according to RFC7120))

From: Toerless Eckert <[email-masked]>
Date: Tue, 5 Apr 2022 15:42:18 +0200

Let me add the draft authors and the media-types mailing list.
The request explicitly asked for a non-provisional registration.

I plan to have this draft in WG last call this week, so i would
suggest to proceed on the request in a way that helps to accelerate
finishing up the draft but not add additional work for you (IANA) or
the approvers, authors and others. Going first into provisional
and then shortly thereafter permanent registry does off the top of
my hed look like such duplication of effort (i may be wrong).

Cheers
    Toerless

On Mon, Apr 04, 2022 at 08:21:00PM +0000, Amanda Baber via RT wrote:
> Hi Toerless, Klaus,
> 
> In the past, IANA has been asked to make provisional registrations for media types (see https://www.iana.org/assignments/provisional-standard-media-types) rather than early allocations.
> 
> Klaus, a question for you as CoAP Content-Format expert: would a provisional media type registration be sufficient for an allocation from the CoAP Content-Format registry?
> 
> Also, which codepoint should we assign for this RFC 7120 early allocation? See
> 
> https://datatracker.ietf.org/doc/html/draft-ietf-anima-constrained-voucher
> 
> If the value should come from the Expert Review range, this registration could be made on a permanent basis rather than a temporary renewable early allocation, if a provisional media type registration allows for this.
> 
> thanks,
> 
> Amanda Baber
> IANA Operations Manager 
> 
> On Mon Apr 04 17:05:57 2022, [email-masked] wrote:
> > Dear IANA
> > 
> > Pls. find appended early allocation request information including
> > approval
> > by ADs. Request fell somehow through the cracks, hence the request
> > from
> > last year and approval only now after we revived the thread after
> > IETF113.
> > 
> > Cheers
> >     Toerless
> > 
> > 
> > On Mon, Apr 04, 2022 at 01:23:22PM +0000, Rob Wilton (rwilton) wrote:
> > > Approved.
> > >
> > > Sorry for the delay (now back from PTO).
> > >
> > > Rob
> > >
> > >
> > > > -----Original Message-----
> > > > From: Toerless Eckert <[email-masked]>
> > > > Sent: 31 March 2022 18:37
> > > > To: Rob Wilton (rwilton) <[email-masked]>
> > > > Cc: [email-masked]; Warren Kumari <[email-masked]>; Anima WG
> > > > <[email-masked]>; [email-masked]
> > > > Subject: Rob pls. approve: Re: Rob/Warren: Early allocation request
> > > > for draft-
> > > > ietf-anima-constrained-voucher (according to RFC7120)
> > > >
> > > > Hi Rob
> > > >
> > > > This request here somehow fell through the cracks. Pls. approve.
> > > >
> > > > Thanks
> > > >     Toerless
> > > >
> > > > In-Reply-To:
> > > > <[email-masked]
> > > > om>
> > > > On Tue, Jul 27, 2021 at 03:02:45PM -0400, Warren Kumari wrote:
> > > > > This sounds fine to me, but actual approval should come from Rob.
> > > > > W
> > > > >
> > > > > On Thu, Jul 22, 2021 at 7:35 PM <[email-masked]> wrote:
> > 
> > Dear Rob, Warren,
> > 
> > As chairs of the ANIMA WG, we hereby request your AD approval
> > for early allocation of code points from IANA according to RFC7120
> > for draft-ietf-anima-constrained-voucher.
> > 
> > This is similar to the early registration request we did for what
> > is now  RFC8366 (voucher), where we requested voucher encoding with
> > > > CMS
> > (application/voucher-cms+json) in 2019.
> > 
> > We have now active development and interop work (during IETF111
> > > > Hackathon)
> > for the new encoding option for the constained voucher via COSE. It
> > > > would
> > help the ongoing pre-production implementations a lot if they would
> > not
> > > > have to
> > come up with non-assigned code-points now.
> > 
> > Toerless (for the chairs)
> > 
> > Draft:
> > 
> > Reference document for registration request is:
> >   https://datatracker.ietf.org/doc/html/draft-ietf-anima-constrained-
> > voucher-13
> > 
> > to be pushed soon after datatracker opens again, until then:
> > 
> > https://github.com/anima-wg/constrained-
> > > > voucher/blob/master/constrained-voucher.txt
> > 
> > We request two early allocations:
> > 
> > 1. IANA "Media Types" applications registry accordin to draft section
> > > > 12.5/12.5.1:
> > https://www.iana.org/assignments/media-types/media-types.xhtml#application
> > 
> > Name                 Template                        Reference
> > voucher-cose+cbor    application/voucher-cose+cbor   [draft-ietf-
> > anima-constrained-voucher]
> > 
> > Template according to reference draft, section 12.5.1:
> > 
> > Type name:  application
> > Subtype name:  voucher-cose+cbor
> > Required parameters:  none
> > Optional parameters:  none
> > Encoding considerations:  binary
> > Security considerations:  Security Considerations of THIS RFC.
> > Interoperability considerations:  The format is designed to be
> >   broadly interoperable.
> > Published specification:  THIS RFC.
> > Applications that use this media type:  ANIMA, 6tisch, and other
> >   zero-touch onboarding systems
> > Additional information:
> >   Magic number(s):  None
> >   File extension(s):  .vch
> >   Macintosh file type code(s):  none
> > Person & email address to contact for further information:  IETF
> >   ANIMA WG
> > Intended usage:  LIMITED
> > Restrictions on usage:  NONE
> > Author:  ANIMA WG
> > Change controller:  IETF
> > Provisional registration? (standards tree only):  NO
> > 
> > 2. CoAP content type registy
> >    https://www.iana.org/assignments/core-parameters/core-
> > parameters.xhtml#content-formats
> > 
> > Media type                    Encoding   ID  References
> > ----------------------------  --------- ---- ----------
> > application/voucher-cose+cbor           TBD3 [draft-ietf-anima-
> > constrained-voucher]
> > 
> > 
> > The ANIMA WG chairs have verified that the required conditions for
> > early allocation from RFC7120, Section 2 are met:
> > 
> > a) Standards Action (document is standards track ANIMA WG draft)
> > 
> > b) The WG draft adequately describes the desired semantics.
> > 
> > c) The WG participants actively working on implementations of the
> >    draft have confirmed that the semantic of the code point is
> >    stable to the extend that it is clear that the final
> >    RFC will need it, and active interoperability testing is ongoing,
> >    only challenged by availability of an early allocation.
> > 
> > d) The working group chairs think that it would be highly helpful to
> >    receive an early allocation code point now to support further
> >    interoperability testing, ensuring that the final RFC has the
> >    highest level of practical vetting and can be finished as soon
> >    as possible.
> > 
> > The request for early allocation was brought up in the working group
> > and was faced with no disagreement. The working group chairs also
> > understand that there is no risk of depletion of the registry in
> > question.
> > 
> > Thank you very much
> >     Toerless (for the chairs)
> > > > >
> > > > >
> > > > >
> > > > > --
> > > > > The computing scientist’s main challenge is not to get confused
> > > > > by the
> > > > > complexities of his own making.
> > > > >   -- E. W. Dijkstra

-- 
---
[email-masked]

---

From: Michael Richardson <[email-masked]>
Date: Tue, 05 Apr 2022 10:55:25 -0400

>> In the past, IANA has been asked to make provisional registrations for
    >> media types (see
    >> https://www.iana.org/assignments/provisional-standard-media-types)
    >> rather than early allocations.
    >>
    >> Klaus, a question for you as CoAP Content-Format expert: would a
    >> provisional media type registration be sufficient for an allocation from
    >> the CoAP Content-Format registry?

Ah, right, in order to get into the Content-Format, we have to have act on
the media-type registration as well!

What we care about is removing our private-use CF form our CoAP code before
it gets out in the wild, so that would seem to be the right path.

I think that we should ask for Expert Review (0-255) registry.

    >> If the value should come from the Expert Review range, this
    >> registration could be made on a permanent basis rather than a temporary
    >> renewable early allocation, if a provisional media type registration
    >> allows for this.

--
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        |    IoT architect   [
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: "Amanda Baber via RT" <[email-masked]>
Date: Tue, 05 Apr 2022 17:40:04 +0000

Hi Toerless,

> The request explicitly asked for a non-provisional registration.

I believe we need to check with the ART ADs (although I think Murray, who was a media type reviewer, is currently on vacation). I'll send a message to Francesca and include Alexey, who is a reviewer now and was an AD when this issue came up.
 
> my hed look like such duplication of effort (i may be wrong).

That's OK -- although there is an extra step, if an early allocation is going to be in place long enough to require renewal, the provisional track is actually a little easier for us (but not so much so that it's worth taking into account). 

thanks,
Amanda

> > In the past, IANA has been asked to make provisional registrations
> > for media types (see https://www.iana.org/assignments/provisional-
> > standard-media-types) rather than early allocations.
> >
> > provisional media type registration be sufficient for an allocation
> > from the CoAP Content-Format registry?
> >
> > voucher
> > registration could be made on a permanent basis rather than a
> > temporary renewable early allocation, if a provisional media type
> > registration allows for this.
> >
> > thanks,
> >
> > Amanda Baber
> >  IANA Operations Manager
> >

---

From: Alexey Melnikov <[email-masked]>
Date: Wed, 6 Apr 2022 18:36:49 +0100

Hi all,

On 05/04/2022 18:40, Amanda Baber via RT wrote:
> Hi Toerless,
>
> On Tue Apr 05 13:42:51 2022,[email-masked]  wrote:

Section 5.2.1 of RFC 6838 specifies Provisional Registration procedure 
for cases like this. I don't think it intended to allow for early 
allocation as per RFC 7120.

As a media type expert I am happy to review this registration early to 
avoid any surprises from Expert Reviewers.

Best Regards,

Alexey

>>> for media types (seehttps://www.iana.org/assignments/provisional-
>>> On Mon Apr 04 17:05:57 2022,[email-masked]  wrote:
>>>> Dear IANA
>>>>
>>>>>> From: Toerless Eckert<[email-masked]>
>>>>>> To: Rob Wilton (rwilton)<[email-masked]>
>>>>>> Cc:[email-masked]; Warren Kumari<[email-masked]>; Anima
>>>>>> WG
>>>>>> <[email-masked]>;[email-masked]
>>>>>> <[email-masked] om>
>>>>>>> On Thu, Jul 22, 2021 at 7:35 PM<[email-masked]>  wrote:
>>>> Dear Rob, Warren,
>>>>
> _______________________________________________
> media-types mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/media-types

---

From: Michael Richardson <[email-masked]>
Date: Wed, 06 Apr 2022 15:45:35 -0400

> Section 5.2.1 of RFC 6838 specifies Provisional Registration procedure for
    > cases like this. I don't think it intended to allow for early allocation as
    > per RFC 7120.

    > As a media type expert I am happy to review this registration early to avoid
    > any surprises from Expert Reviewers.

Thank you!